Skip to main content
POST
Create Workspace
Agency Plan Required - This endpoint is only available for teams on the Agency plan.

Endpoint

Request Body

Response

Example Request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Display name for the client workspace

Example:

"Acme Corporation"

Response

Workspace created successfully

A client workspace for agency management

id
string

Unique workspace identifier

Example:

"workspace_abc123def456"

name
string

Display name of the workspace

Example:

"Acme Corporation"

clientTeamId
string

Internal team identifier for client member management

Example:

"team_xyz789abc123"

createdAt
string<date-time>

Timestamp of workspace creation

Example:

"2024-01-15T10:30:00.000Z"

Last modified on January 22, 2026